:root {
    --main-color: #277aff;
    --bg-color: #ededed;
    --text-color: #000000;
}

*,
*::after,
*::before {
    margin: 0;
    padding: 0;
    outline: 0;
    border: none;
    text-decoration: none !important;
    list-style: none;
    box-sizing: border-box;
    transition: all 0.2s ease-in-out;
}

::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-track {
    background: var(--bg-color);
}

::-webkit-scrollbar-thumb {
    background: var(--main-color);
    border-radius: 20px;
}

img,
video {
    width: 100%;
}


input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type="number"] {
    -moz-appearance: textfield;
}

/* Global Styles */
body {
    color: var(--text-color);
    font-family: 'Montserrat', sans-serif;
    overflow-x: hidden;
    background-color: var(--bg-color) !important;
}

.navbar.bg-dark {
    background-color: var(--bg-color) !important;
}

.btn-primary {
    --bs-btn-bg: var(--main-color);
    --bs-btn-border-color: var(--main-color);
    --bs-btn-hover-bg: var(--main-color-hover);
    --bs-btn-hover-border-color: var(--main-color-hover);
    --bs-btn-active-bg: var(--main-color-hover);
    --bs-btn-active-border-color: var(--main-color-hover);
    --bs-btn-disabled-bg: var(--main-color);
    --bs-btn-disabled-border-color: var(--main-color);
}

.link-primary {
    color: var(--main-color) !important;
}

.link-primary:hover,
.link-primary:focus {
    color: var(--main-color-hover) !important;
}

.text-primary {
    color: var(--main-color) !important;
}

.border-primary {
    border-color: var(--main-color) !important;
}

.bg-primary {
    background-color: var(--main-color) !important;
}

/* Typography Overrides */
h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 600;
}


.text-gold {
    color: var(--main-color);
}

.border-gold {
    border: 1px solid var(--main-color) !important;
}

/* Header & Navbar */
.nav-link {
    font-size: 0.9rem;
    font-weight: 500;
    letter-spacing: 0.5px;
}

.nav-link:hover,
.nav-link.active {
    color: var(--main-color) !important;
}

.input-group-text,
.form-control::placeholder {
    color: var(--text-color);
    font-weight: 300;
}


.text-justify {
    text-align: justify;
}

.fs-11-sm {
    font-size: 11px !important;
}

.fs-12-sm {
    font-size: 12px !important;
}

.fs-13-sm {
    font-size: 13px !important;
}

.fs-14-sm {
    font-size: 14px !important;
}

.fs-15-sm {
    font-size: 15px !important;
}

.swiper-button-header {
    width: 40px !important;
    height: 40px !important;
}

.swiper-button-header:after,
.swiper-button-header:after {
    font-size: 16px !important;
}

.productsSwiper .swiper-slide-active {
    background-color: var(--text-color) !important;
    color: var(--bg-color) !important;
}

.productsSwiper .swiper-slide-active .badge {
    color: var(--text-color) !important;
    background-color: var(--bg-color) !important;
}

.productsSwiper .swiper-slide-active .card {
    color: var(--bg-color) !important;
}

@media (max-width: 768px) {
    .fs-11 {
        font-size: 11px !important;
    }

    .fs-12 {
        font-size: 12px !important;
    }

    .fs-13 {
        font-size: 13px !important;
    }

    .fs-14 {
        font-size: 14px !important;
    }

    .fs-15 {
        font-size: 15px !important;
    }

    .fs-16 {
        font-size: 16px !important;
    }

    .fs-17 {
        font-size: 17px !important;
    }

    .fs-18 {
        font-size: 18px !important;
    }

    .fs-19 {
        font-size: 19px !important;
    }

    .fs-20 {
        font-size: 20px !important;
    }

    .swiper-button-header,
    .swiper-button-header {
        width: 25px !important;
        height: 25px !important;
    }

    .swiper-button-header:after,
    .swiper-button-header:after {
        font-size: 12px !important;
    }
}